--
-- Lua - libsensors extender.
--

local open = io.open
local assert,error = assert,error
local pairs,setmetatable = pairs,setmetatable

require "libsensors"

module "sensors"

function startup( cfgname )
  if not cfgname then
    cfgname = (API_VERSION >= 0x400) and "/etc/sensors3.conf" or "/etc/sensors.conf"
  end
  local f = assert(open(cfgname))
  local r = init(f)
  assert(f:close())
  if r ~= 0 then error(strerror(r)) end
end

function chip( t,name )
  for k,v in pairs(t) do
    if k:match(name) then return v end
  end
  return nil
end

MT = {__index = {chip = chip}}

function snapshot()
  local t = scan_all_chips()
  setmetatable(t, MT)
  return t
end

